/* Font Custom Setting */

@font-face {
  font-family: 'uglydave';
  src: url('../fonts/uglydave-webfont.woff2') format('woff2'), url('../fonts/uglydave-webfont.woff') format('woff'), url('../fonts/UglyDave.otf') format('opentype');
  font-weight: normal;
  font-style: normal;
  font-display: swap; /* Ensures that a fallback font is used until the custom font is loaded */
}


/* Navigation bar */

.logo {
  width: 100px;
}

nav {
  margin: 3rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 48 64px;
}

.menu {
  display: flex;
}

.menu li {
  /* spacing links */
  /* 0 margin on top and bottom, 15px left and right */
  margin: 0 0 0 65px;

  /* remove bullets */
  list-style-type: none;
}

.menu li a {
  font-family: 'Montserrat', sans-serif;
  font-weight: 450;
  color: #35383F;
  font-size: 1.5rem;
  
  /* remove underline */
  text-decoration: none;
}

.menu li a:hover {
  color: #BF9BDE;
}

.mobile-menu {
  display: none;
}

.menu-toggle {
  display: none;
}

.menu-icon {
  display: none;
}

.hamburger-icon {
  width: 40px;
  height: 40px;
  cursor: pointer;
}

/* Responsive for Navigation bar */
/* Media query for tablet */
@media  only screen and (max-width: 768px) {
  .logo {
    width: 85px; /* Resize logo */
  }

  nav {
    margin: 48 24px;
  }

  .menu li {
    margin: 0 0 0 35px;
  }

  .menu li a {
    font-size: 1.3rem;
  }
}


/* Media query for mobile */
@media (max-width: 576px) {
  .logo {
    width: 75px;
  }

  .menu {
    display: none;
  }

  .mobile-menu {
    display: block;
  }

  .menu-icon {
    display: block;
  }

  #menu-toggle {
    display: none;
  }

  .dropdown {
    display: none;
    flex-direction: column;
    position: absolute;
    background-color: white;
    top: 100px; /* Adjust based on the height of the menu icon */
    left: 0;
    right: 0;
    width: 100%;
    padding: 10px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    text-align: center; /* Center align the text */
  }

  .dropdown li {
    margin: 10px 0;
    list-style: none; /* Remove bullet points */
  }

  .dropdown li a {
    font-family: 'Montserrat', sans-serif;
    font-weight: 450;
    font-size: 1.5rem;
    color: #35383F;
    text-decoration: none;
  }

  .dropdown li a:hover {
    color: #BF9BDE;
  }

  #menu-toggle:checked + .menu-icon + .dropdown {
    display: flex;
  }
}

/* Hero content */
/* Introduction line */
.introduction {
  display: flex;
  align-items: flex-start;
  flex-direction: column;
  margin: 64px;
}

.introduction p {
  margin-left: 250px;
  font-family: 'Montserrat', sans-serif;
  font-weight: 450;
  color: #35383F;
  font-size: 3rem;
}
/* Music note icon */
.noteicon {
  margin-left: 250px;
  margin-top: 10px;
  max-width: 20%;
  height: auto;
}
.noteicon:hover {
  color: #BF9BDE;
  transform: 0;
}

/* Responsive for Hero Content */
/* Media query for tablet */
@media  only screen and (max-width: 768px) {
  .introduction {
    margin: 24px;
  }

  .introduction p {
    margin-left: 85px;
    margin-top: 20px;
    font-size: 1.9rem;
  }

  .noteicon {
    max-width: 28%;
    margin-left: 85px;
  }
}

/* Media query for mobile */
@media  only screen and (max-width: 576px) {
  
  .introduction p {
    margin-left: 0px;
    font-size: 1.8rem;
  }
  .noteicon {
    margin-top: 5px;
    max-width: 40%;
    margin-left: 0px;
  }
}

/* Band members */

.members-container {
  display: grid; /* Allows wrapping for smaller screens */
  grid-template-columns: repeat(2, 1fr); /* Two columns */
  flex-wrap: wrap;
  gap: 20px;
  max-width: 1050px;
  padding: 20px;
  margin: 0 60px 0 auto;
  width: 100%;
}

.members-item {
  background-color: white;
  padding: 10px;
  text-align: left;
}

.members-item img {
  max-width: 100%;
  border-radius: 10px;
}

.members-item h3 {
  color: #35383F;
  font-family: 'Montserat', sans-serif;
  font-weight: 600;
  font-size: 27px; /* Increased font size */
  letter-spacing: 1px;
  margin: 20 0 5px 0;
}

.members-item p {
  font-family: 'Montserat', sans-serif;
  font-size: 23px; /* Increased font size */
  margin-top: 10px;
  letter-spacing: 1px;
  color: #35383F;
}

/* Responsive for Band Members */
/* Media query for tablet */
@media only screen and (max-width: 768px) {

  .members-container {
    display: grid; /* Allows wrapping for smaller screens */
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr)); /* Increased min-width */
    gap: 10px;
    width: 93%; /* Adjust width */
    max-width: 1100px; /* Increased max-width */
    margin: 20px auto;
  }

  .members-item {
    flex: 0 1 100%; /* One item per row */
  }

  .members-item h3 {
    font-size: 20px;
  }

  .members-item p {
    font-size: 18px;
  }
}

/* Media query for mobile */
@media only screen and (max-width: 576px) {
  .members-item h3 {
    font-size: 20px;
  }

  .members-item p {
    font-size: 18px;
  }
}

/* Music Genre */

.slogan {
  display: flex;
  align-items: center;
  flex-wrap: wrap; /* Allows wrapping for smaller screens */
  width: 100%; /* Adjust as necessary */
  margin: 20 70 20px auto;
  max-width: 1050px; /* Increased max-width for larger size */
}

.jazzdoit {
  width: 100%;
  height: auto;
  border-radius: 20px; /* Rounded corners */
}

.genre-section {
  display: flex;
  align-items: center;
  justify-content: space-between; /* Ensure space between elements */
  flex-wrap: wrap; /* Allows wrapping for smaller screens */
  width: 90%; /* Adjust as necessary */
  margin: 20px auto;
  background-color: none;
}

.genre-card {
  max-width: 800px; /* Increased max-width for larger size */
  margin: 10 20 10px 0; 
}

.genre-image {
  width: 100%;
  height: auto;
  border-radius: 20px; /* Rounded corners */
}

.genre-details {
  flex: 1; /* Allows the section to grow and shrink as needed, taking up equal space within a flex container */
  max-width: 400px; /* Adjust as necessary */
  margin: 10px;
  text-align: left;
}

.genre-title {
  margin-bottom: 10px;
  font-family: 'Montserrat', sans-serif;
  font-weight: 450;
  color: #35383F;
  font-size: 3rem;
}

.genre-description {
  font-family: 'Montserat', sans-serif;
  font-size: 23px; /* Increased font size */
  margin: 10 0 20px 0;
  letter-spacing: 1px;
}

/* Responsive for Music Genre */
/* Media query for tablet */
@media only screen and (max-width: 768px) {
  .genre-card {
    max-width: 100%; /* Full width on smaller screens */
    margin: 20px 0px;
  }

  .genre-details {
    max-width: 100%; /* Full width on smaller screens */
    text-align: left;
    margin: 0px;
  }

  .genre-title {
    font-size: 1.9em;
  }

  .genre-description {
    font-size: 18px;
  }

  .slogan {
    width: 90%; /* Adjust as necessary */
    margin: 20px auto;
  }
}

/* Media query for mobile */
@media only screen and (max-width: 576px) {
  .genre-section {
    flex-direction: column; /* Stack elements vertically on small screens */
  }

  .genre-title {
    font-size: 1.8em;
  }

  .genre-description {
    font-size: 18px;
  }
}


/* Music video */

.video-container {
  position: relative;
  width: 90%; /* Adjust the width as needed */
  max-width: 1300px; /* Max width for larger screens */
  border-radius: 15px;
  margin: 60 20 60 64px;
}

.thumbnail {
  width: 100%;
  border-radius: 15px;
}

/* Play button */
.play-button {
  position: absolute; /* Positions the element absolutely within its closest positioned ancestor */
  top: 50%; /* Positions the top of the element 50% from the top of its containing element */
  left: 50%; /* Positions the left of the element 50% from the left of its containing element */
  transform: translate(-50%, -50%); /* Moves the element back by 50% of its own width and height, effectively centering it */
  width: 80px;
  height: 80px;
}

.play-button img {
  width: 100%;
  height: 100%;
  cursor: pointer;
}

/* Responsive for Navigation bar */
/* Media query for tablet */
@media only screen and (max-width: 768px) {
  .video-container {
    width: 91%;
    margin: 20px 24px;
  }
}

/* Media query for mobile */
@media only screen and (max-width: 576px) {
  .video-container {
    width: 90%;
    margin: 20px 24px;
  }
}

/* Footer */
.footer {
  width: 100%;
  padding: 20px 0;
}

.footer-content {
  max-width: 1350px;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  padding: 0;
}

.footer-section {
  flex: 1;
  margin: 0 30px;
}

.footer-section h2,p {
  color: #35383F;
  font-family: 'Montserat', sans-serif;
  font-size: 16px;
  margin-bottom: 10px;
}

.footer-section ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

.footer-section ul li {
  margin-bottom: 10px;
}

.footer-section ul li a {
  color: #35383F;
  font-family: 'Montserat', sans-serif;
  text-decoration: none;
  color: #35383F;
}

.footer-section .logo {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.footer-logo {
  max-width: 150px;
  margin-bottom: 10px;
}


.footer-section.social-icons {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 4px;
  margin: 0;
}

.footer-section.social-icons a {
  display: inline-block;
  margin: 0 5px 0 0;
}

.footer-section.social-icons img {
  width: 24px;
  height: auto;
}

.storeandinfo {
  display: flex;
  flex-direction: row;
}

.newsletter form {
  display: flex;
  align-items: center;
  border: 1px solid #35383F;
  border-radius: 20px;
  padding: 5px;
  width: 100%;
  max-width: 300px;
}
.newsletter form img {
  width: 24px;
  margin: 0 0 0 10px;
}

.newsletter input {
  border: none;
  outline: none;
  padding: 5 10px;
  flex: 1;
  border-radius: 20px;
}

.newsletter button {
  border: none;
  background-color: #35383F;
  color: white;
  border-radius: 20px;
  padding: 5 15px;
  cursor: pointer;
}

/* Responsive for Footer */
/* Media query for tablet */
@media (max-width: 768px) {

  .footer-content {
      flex-direction: column;
      align-items: flex-start;
  }

  .footer-section {
      width: 100%;
      margin-bottom: 20px;
  }

  .newsletter form {
      width: 100%;
  }
}

/* Media query for mobile */
@media (max-width: 576px) {
  .footer-content {
    flex-direction: column;
    align-items: flex-start;
  }

  .footer-section {
      width: 100%;
    margin-bottom: 20px;
  }

  .newsletter form {
    width: 100%;
  }
}